#include "GeometryNode.h"

GeometryNode::GeometryNode(const DiscretePoint& location)
    :   MaterialNode(location),
        mStrokeThickness(1),
        mType(Type::Path)
{

}

unsigned GeometryNode::getStrokeThickness() const
{
    return mStrokeThickness;
}

void GeometryNode::setStrokeThickness(unsigned thickness)
{
    if (mStrokeThickness != thickness)
    {
        mGeometryIsDirty = true;
        mStrokeThickness = thickness;
    }
}
